#
# spec file for package mysql-gui-tools (Version 5.0r12)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit ConsoleKit-32bit Mesa Mesa-devel PolicyKit aaa_base acl alsa-devel aspell atk atk-devel attr audiofile audiofile-devel audit-libs audit-libs-32bit autoconf automake avahi avahi-devel avahi-glib bash binutils bzip2 cairo cairo-devel cairomm cairomm-devel coreutils cpio cpp cpp42 cracklib cracklib-32bit cups-libs cvs cyrus-sasl dbus-1 dbus-1-32bit dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-translations diffutils e2fsprogs-devel esound esound-devel file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gail-lang gawk gcc gcc-c++ gcc42 gcc42-c++ gconf2 gconf2-devel gconf2-lang gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glibmm2 glibmm2-devel glitz glitz-devel gnome-keyring gnome-keyring-devel gnome-keyring-lang gnome-spell2 gnome-spell2-lang gnome-vfs2 gnome-vfs2-devel gnome-vfs2-lang grep groff gtk2 gtk2-devel gtkhtml2 gtkhtml2-devel gtkhtml2-lang gtkmm2 gtkmm2-devel gzip hal hal-devel hicolor-icon-theme info insserv keyutils-libs krb5 less libacl libart_lgpl libart_lgpl-devel libasound2 libattr libblkid-devel libblkid1 libbonobo libbonobo-devel libbonobo-lang libbonoboui libbonoboui-devel libbonoboui-lang libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libdaemon libdb-4_5 libdb-4_5-32bit libdrm libexpat-devel libexpat1 libext2fs-devel libext2fs2 libgcc42 libgcrypt libglade2 libglade2-devel libgnome libgnome-devel libgnome-lang libgnomecanvas libgnomecanvas-devel libgnomecanvas-lang libgnomeprint libgnomeprint-devel libgnomeprint-lang libgnomeprintui libgnomeprintui-devel libgnomeprintui-lang libgnomesu libgnomesu-lang libgnomeui libgnomeui-devel libgnomeui-lang libgomp42 libgpg-error libjpeg libjpeg-devel libltdl-3 libmudflap42 libmysqlclient-devel libmysqlclient15 libmysqlclient_r15 libnscd libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libsigc++2 libsigc++2-devel libsmbios-libs libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libusb libusb-devel libuuid-devel libuuid1 libvolume_id libxcrypt libxcrypt-32bit libxml2 libxml2-devel libzio linux-kernel-headers lua50 lua50-devel m4 make man mktemp ncurses net-tools netcfg nss-mdns nss-mdns-32bit openldap2-client openssl-certs orbit2 orbit2-devel pam pam-32bit pam-config pam-modules pango pango-devel parted patch pcre pcre-devel perl perl-XML-Parser perl-base permissions pkg-config pmtools popt popt-devel pwdutils rpm sed setserial sysvinit tar tcpd texinfo timezone update-alternatives update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           mysql-gui-tools
BuildRequires:  e2fsprogs-devel gcc-c++ gtkhtml2-devel gtkmm24-devel libglade2-devel lua50-devel mysql-devel pcre-devel perl-XML-Parser update-desktop-files
Summary:        Common Files for MySQL GUI Tools
Version:        5.0r12
Release:        56.2
Group:          Productivity/Databases/Clients
License:        GPL v2 or later
Url:            http://www.mysql.com/products/tools/query-browser/
Source:         %{name}-%{version}.tar.bz2
Source1:        mysql-administrator-doc.tar.bz2
Source2:        mysql-query-browser-doc.tar.bz2
Patch2:         mysql-administrator-help.patch
Patch10:        mysql-query-browser.patch
Patch12:        mysql-query-browser-gcc4.patch
Patch22:        mysql-gui-common-pkg-config.patch
Patch24:        mysql-gui-common-unused-func.patch
Patch25:        mysql-gui-common-warnings.patch
Patch26:        mysql-gui-common-lua.patch
Patch30:        mysql-gui-tools-warnings.patch
Patch31:        mysql-gui-common-build.patch
Patch32:        mysql-query-browser-hangs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains files used by mysql-query-browser,
mysql-administrator and mysql-workbench.



%debug_package
%package -n mysql-administrator
Summary:        A MySQL Server Management, Configuration, and Monitoring Tool
Group:          Productivity/Databases/Servers
Requires:       mysql-gui-tools = %{version}

%description -n mysql-administrator
MySQL Administrator is a powerful visual administration console that
enables you to easily administer your MySQL environment and gain
significantly better visibility into how your databases are operating.
MySQL Administrator now integrates database management and maintenance
into a single seamless environment with a clear and intuitive graphical
user interface.

It is part of the MySQL Administration Suite.



%package -n mysql-query-browser
Summary:        A Graphical MySQL Query Shell
Group:          Productivity/Databases/Clients
Requires:       mysql-gui-tools = %{version}

%description -n mysql-query-browser
MySQL Query Browser is a GUI tool for executing SQL queries. It
displays the result in a list where you can edit its contents and save.
It has several auxiliary features to facilitate work, such as query
"bookmarking", query history, syntax highlighting, and online help.

It is part of the MySQL Developer Suite.



%package -n mysql-workbench
Summary:        A MySQL visual modeling tool
Group:          Productivity/Databases/Clients
Requires:       mysql-gui-tools = %{version}

%description -n mysql-workbench
MySQL Workbench is modeling tool that allows you to design and generate
MySQL databases graphically.

MySQL Workbench requires OpenGL and a 3D accelerated graphics card with
at least 16MB of memory.



%prep
%setup -q -n %{name}-%{version} -a1 -a2
cd mysql-administrator
%patch2
cd ../mysql-query-browser
%patch10
%patch12
cd ../mysql-gui-common
%patch22
%patch24
%patch25
#%patch26 ## build aganist lua50 instead
cd ..
%patch30
%patch31
%patch32

%build
# gui-common
cd mysql-gui-common
touch NEWS AUTHORS ChangeLog
autoreconf -f -i
%configure --enable-canvas --enable-grt
make %{?jobs:-j%jobs}
# administrator
cd ../mysql-administrator
%configure
make %{?jobs:-j%jobs}
# query-browser
cd ../mysql-query-browser
touch NEWS AUTHORS ChangeLog README
autoreconf -f -i
%configure --with-gtkhtml=libgtkhtml-3.14
make %{?jobs:-j%jobs}
# workbench
cd ../mysql-workbench
%configure
make %{?jobs:-j%jobs}

%install
cd mysql-gui-common
make DESTDIR=%{buildroot} install
cd ../mysql-administrator
make DESTDIR=%{buildroot} install
%suse_update_desktop_file -i -G "Database administraton" -r MySQLAdministrator System Database
cd ../mysql-query-browser
make DESTDIR=%{buildroot} install
%suse_update_desktop_file -i -G "Database query tool" -r MySQLQueryBrowser System Database
cd ../mysql-workbench
make DESTDIR=%{buildroot} install
%suse_update_desktop_file -i -G "Database design tool" -r MySQLWorkbench System Database
cd .. 
%find_lang mysql-administrator
%find_lang mysql-query-browser

%clean
rm -rf %{buildroot}

%files -n mysql-gui-tools
%defattr(-, root, root)
%doc mysql-gui-common/COPYING
%dir %{_datadir}/mysql-gui
%{_datadir}/mysql-gui/common

%files -n mysql-administrator -f mysql-administrator.lang
%defattr(0644, root, root, 0755)
%doc mysql-administrator/{ChangeLog,COPYING,res/FAQ,doc/*}
%attr(0755,root,root) %{_bindir}/mysql-administrator
%attr(0755,root,root) %{_bindir}/mysql-administrator-bin
%attr(0755,root,root) %{_bindir}/mabackup
%{_datadir}/applications/MySQLAdministrator.desktop
%{_datadir}/mysql-gui/MySQLIcon_Admin*.png
%{_datadir}/mysql-gui/administrator

%files -n mysql-query-browser -f mysql-query-browser.lang
%defattr(0644, root, root, 0755)
%doc mysql-query-browser/{COPYING,doc/*,res/doc/*.html,res/doc/*.css}
%attr(0755,root,root) %{_bindir}/mysql-query-browser
%attr(0755,root,root) %{_bindir}/mysql-query-browser-bin
%{_datadir}/applications/MySQLQueryBrowser.desktop
%{_datadir}/mysql-gui/MySQLIcon_QueryBrowser*.png
%{_datadir}/mysql-gui/query-browser/

%files -n mysql-workbench
%defattr(0644, root, root, 0755)
%doc mysql-workbench/{COPYING,ChangeLog}
%attr(0755,root,root) %{_bindir}/mysql-workbench
%attr(0755,root,root) %{_bindir}/mysql-workbench-bin
%{_datadir}/applications/MySQLWorkbench.desktop
%{_datadir}/mysql-gui/MySQLIcon_Workbench*.png
%{_datadir}/mysql-gui/workbench/

%changelog
* Fri Nov 23 2007 - anosek@suse.cz
- fixed: Mysql-query-browser hangs on selecting a schema [#339356]
  (mysql-query-browser-hangs.patch)
* Thu May 31 2007 - anosek@suse.cz
- fixed incorret string comparison (warnings.patch)
* Thu May 17 2007 - anosek@suse.cz
- updated to version 5.0r12
  - fixed several bugs
* Wed Apr 11 2007 - anosek@suse.cz
- updated to version 5.0r11
  - fixed several bugs
* Thu Mar 29 2007 - anosek@suse.cz
- updated to version 5.0r10
- fixed build:
  * changed requirement libgtkhtml-3.8 -> 3.14
  * fixed configure.in
* Wed Jan 31 2007 - anosek@suse.cz
- updated to version 5.0r9
* Mon Oct 30 2006 - mjancar@suse.cz
- build aganist lua50
* Tue Oct 24 2006 - ro@suse.de
- try to fix build with current lua (use pkgconfig to find lib)
* Fri Oct 13 2006 - ro@suse.de
- fix missing return value (mysql-gui-tools-warnings.patch)
* Wed Oct 04 2006 - anosek@suse.cz
- updated to version 5.0r4
- added mysql-workbench
- fixed some compiler warnings (mysql-gui-common-warnings.patch)
* Tue Sep 19 2006 - anosek@suse.cz
- new package, version 5.0r3
- includes mysql-administrator 1.2.3rc
  mysql-query-browser 1.2.3beta
  mysql-gui-common
